Loading...
Searching...
No Matches
websocketpp::config::debug_core::permessage_deflate_config Struct Reference

Extension specific settings: More...

`#include <debug.hpp>`

## Public Types

typedef type::request_type | request_type

## Static Public Attributes

static const bool | allow_disabling_context_takeover = true
static const uint8_t | minimum_outgoing_window_bits = 8

## Detailed Description

Extension specific settings:

permessage_compress extension

Definition at line 249 of file debug.hpp.

## Member Typedef Documentation

## request_type

typedef type::request_type websocketpp::config::debug_core::permessage_deflate_config::request_type

Definition at line 250 of file debug.hpp.

## Member Data Documentation

## allow_disabling_context_takeover

const bool websocketpp::config::debug_core::permessage_deflate_config::allow_disabling_context_takeover = true

static

If the remote endpoint requests that we reset the compression context after each message should we honor the request?

Definition at line 254 of file debug.hpp.

## minimum_outgoing_window_bits

const uint8_t websocketpp::config::debug_core::permessage_deflate_config::minimum_outgoing_window_bits = 8

static

If the remote endpoint requests that we reduce the size of the LZ77 sliding window size this is the lowest value that will be allowed. Values range from 8 to 15. A value of 8 means we will allow any possible window size. A value of 15 means do not allow negotiation of the window size (ie require the default).

Definition at line 261 of file debug.hpp.

The documentation for this struct was generated from the following file:

- websocketpp/config/debug.hpp